=== debian/changelog ===
cxxopts (2.2.1-2) unstable; urgency=medium

  * Source-only upload for testing migration. 

 -- Boyuan Yang <byang@debian.org>  Fri, 23 Oct 2020 11:28:06 -0400

cxxopts (2.2.1-1) unstable; urgency=medium

  * Initial upload. (Closes: #971509)

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Sep 2020 17:07:50 -0400
