=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%cxxopts-$1.tar.gz%" \
 https://github.com/jarro2783/cxxopts/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
