=== debian/changelog ===
cxxopts (3.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches: Refresh patch to maintain arch-indep pkgconfig.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Oct 2021 16:14:40 -0400

cxxopts (2.2.1-3) unstable; urgency=medium

  * Convert header-only library package to arch:all.
    (Closes: #975713)
  * debian/patches/0001-CMakeLists: Add patch from upstream to
    make CMake config files architecture-independent.
  * debian/control:
    + Mark binary package as Multi-Arch: foreign.
    + Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Sep 2021 13:41:01 -0400
