=== debian/control ===
Source: cxxopts
Priority: optional
Section: libs
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake (>= 3.14),
 debhelper-compat (= 13),
 pkg-config,
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://github.com/jarro2783/cxxopts
Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
Vcs-Browser: https://salsa.debian.org/debian/cxxopts

Package: libcxxopts-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends:
 ${misc:Depends},
Description: Lightweight C++ option parser library
 Cxxopts is a header-only lightweight C++ option parser library.
 It supports the standard GNU style syntax.
