=== debian/changelog ===
cxxopts (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Refresh information.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Thu, 16 Feb 2023 13:47:13 -0500
