=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13),
  pkg-config,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/jarro2783/cxxopts
 Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
 Vcs-Browser: https://salsa.debian.org/debian/cxxopts
