## cxxopts 3.2.1

=== debian/changelog ===
cxxopts (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * New maintainer (Closes: #1065748)
  * d/copyright:
    + Update copyright years
    + Add new maintainer to copyright
    + Add Upstream-Contact information
  * d/control:
    + Replace deprecated build-dep pkg-config with pkgconf
    + Add new maintainer to maintainer field
  * d/p/0001-install-pkgconfig-file-into-arch-indep-usr-share-pkg.patch:
    + Add Forwarded info to patch header

 -- Shriram Ravindranathan <s20n@ters.dev>  Sun, 17 Mar 2024 14:50:20 +0000

cxxopts (3.1.1-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.

 -- Boyuan Yang <byang@debian.org>  Sat, 09 Mar 2024 13:05:37 -0500
