=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: cxxopts
 Priority: optional
 Section: libs
-Maintainer: Boyuan Yang <byang@debian.org>
+Maintainer: Shriram Ravindranathan <s20n@ters.dev>
 Build-Depends:
  cmake (>= 3.14),
  debhelper-compat (= 13),
- pkg-config,
+ pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://github.com/jarro2783/cxxopts
