=== debian/changelog ===
cxxopts (3.3.1-1) unstable; urgency=medium

  * Team upload.
  * Switch d/watch to v5
  * New upstream version 3.3.1
    - Fix build with gcc-15 (Closes: #1114086)
    - Fixes build with cmake 4 (Closes: #1112824)
  * Drop R³
  * Bump policy version (no changes)
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 16 Oct 2025 19:12:14 +0200
