=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
  cmake (>= 3.14),
  debhelper-compat (= 13),
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/jarro2783/cxxopts
 Vcs-Git: https://salsa.debian.org/debian/cxxopts.git
 Vcs-Browser: https://salsa.debian.org/debian/cxxopts
